aim4.msg.v2i

## Class Request.VehicleSpecForRequestMsg

- java.lang.Object
- - aim4.msg.v2i.Request.VehicleSpecForRequestMsg

- Enclosing class:
    Request

      public static class Request.VehicleSpecForRequestMsg
      extends Object

  The specification of the vehicle.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request.VehicleSpecForRequestMsg(double maxAcceleration, double maxDeceleration, double minVelocity, double length, double width, double frontAxleDisplacement, double rearAxleDisplacement, double maxSteeringAngle, double maxTurnPerSecond)` Create a vehicle specification for request message.
    `Request.VehicleSpecForRequestMsg(Request.VehicleSpecForRequestMsg spec)` Create a copy of a given vehicle specification for request message
    `Request.VehicleSpecForRequestMsg(VehicleSpec vspec)` Create a copy of a given vehicle specification for request message

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFrontAxleDisplacement()`
    `double` | `getLength()`
    `double` | `getMaxAcceleration()`
    `double` | `getMaxDeceleration()`
    `double` | `getMaxSteeringAngle()`
    `double` | `getMaxTurnPerSecond()`
    `double` | `getMinVelocity()`
    `double` | `getRearAxleDisplacement()`
    `double` | `getWidth()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request.VehicleSpecForRequestMsg

          public Request.VehicleSpecForRequestMsg(double maxAcceleration,
                                          double maxDeceleration,
                                          double minVelocity,
                                          double length,
                                          double width,
                                          double frontAxleDisplacement,
                                          double rearAxleDisplacement,
                                          double maxSteeringAngle,
                                          double maxTurnPerSecond)

      Create a vehicle specification for request message.
      Parameters:
        `maxAcceleration` - the maximum acceleration
        `maxDeceleration` - the maximum deceleration
        `minVelocity` - the minimum velocity
        `length` - the length of the vehicle
        `width` - the width of the vehicle
        `frontAxleDisplacement` - the front axle displacement
        `rearAxleDisplacement` - the rear axle displacement
        `maxSteeringAngle` - the maximum steering angle
        `maxTurnPerSecond` - the maximum turn per second

    - #### Request.VehicleSpecForRequestMsg

          public Request.VehicleSpecForRequestMsg(VehicleSpec vspec)

      Create a copy of a given vehicle specification for request message
      Parameters:
        `vspec` - the vehicle specification

    - #### Request.VehicleSpecForRequestMsg

          public Request.VehicleSpecForRequestMsg(Request.VehicleSpecForRequestMsg spec)

      Create a copy of a given vehicle specification for request message
      Parameters:
        `spec` - the vehicle specification

  - ### Method Detail

    - #### getMaxAcceleration

          public double getMaxAcceleration()

      Returns:
        the maxAcceleration

    - #### getMaxDeceleration

          public double getMaxDeceleration()

      Returns:
        the minAcceleration

    - #### getMinVelocity

          public double getMinVelocity()

      Returns:
        the minVelocity

    - #### getLength

          public double getLength()

      Returns:
        the length

    - #### getWidth

          public double getWidth()

      Returns:
        the width

    - #### getFrontAxleDisplacement

          public double getFrontAxleDisplacement()

      Returns:
        the frontAxleDisplacement

    - #### getRearAxleDisplacement

          public double getRearAxleDisplacement()

      Returns:
        the rearAxleDisplacement

    - #### getMaxSteeringAngle

          public double getMaxSteeringAngle()

      Returns:
        the maxSteeringAngle

    - #### getMaxTurnPerSecond

          public double getMaxTurnPerSecond()

      Returns:
        the maxTurnPerSecond

Copyright © 2013. All rights reserved.